# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-django-admin-honeypot
%define fedora 18
%global pkgname django-admin-honeypot
Name:		python-module-django-admin-honeypot
Version:	0.2.4
Release:	alt1_1
Summary:	A fake Django admin log in screen to notify admins of unauthorized access

Group:		Development/Python
License:	MIT	
URL:		https://github.com/dmpayton/django-admin-honeypot
Source0:	http://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz
Patch1:		0002-change-setup.py-requires-to-fix.patch
BuildArch:	noarch
BuildRequires:	python-devel
BuildRequires:	python-module-setuptools
BuildRequires:	python-module-coverage
BuildRequires:	python-module-pep8 >= 1.3.3

%if 0%{?fedora} >= 18
BuildRequires: python-module-django python-module-django-dbbackend-mysql python-module-django-dbbackend-psycopg2 python-module-django-dbbackend-sqlite3 python-module-django-mod_python
%else
BuildRequires: python-module-django python-module-django-dbbackend-mysql python-module-django-dbbackend-psycopg2 python-module-django-dbbackend-sqlite3 python-module-django-mod_python
%endif 

	

Provides:	 %{pkgname} = %{version}-%{release}
Source44: import.info

%description
A fake admin log in screen to notify admins of attempted unauthorized access. 

%prep
%setup -q -n %{pkgname}-%{version}
rm -rf django_admin_honeypot.egg-info
%patch1 -p1


%build
python setup.py build

%install
python setup.py install --skip-build --root %{buildroot}


%files
%doc PKG-INFO LICENSE README.mkd
%{python_sitelibdir_noarch}/admin_honeypot
%{python_sitelibdir_noarch}/django_admin_honeypot-*.egg-info

%changelog
* Mon Feb 18 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.4-alt1_1
- update to new release by fcimport

* Wed Jan 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.3-alt1_5
- initial fc import

